/********************************************************************************************/
/* Author: Raul Navarro                                                                     */
/* Web:    http://www.raulnd.com                                                            */
/* E-Mail: raulnd@gmail.com                                                                 */
/********************************************************************************************/
/*                                                                                          */
/*  This file is part of Arduino Sprites.                                                   */
/*                                                                                          */
/*  Foobar is free software: you can redistribute it and/or modify                          */
/*  it under the terms of the GNU General Public License as published by                    */
/*  the Free Software Foundation, either version 3 of the License, or                       */
/*  (at your option) any later version.                                                     */
/*                                                                                          */
/*  Foobar is distributed in the hope that it will be useful,                               */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                           */
/*  GNU General Public License for more details.                                            */
/*                                                                                          */
/*  You should have received a copy of the GNU General Public License                       */
/*  along with Foobar.  If not, see < http://www.gnu.org/licenses/ >.                       */
/*                                                                                          */
/********************************************************************************************/

#ifndef TILES_CONSTANTS_H
#define TILES_CONSTANTS_H

// Sync
#define _HSYNC    0b00000001
#define _VSYNC    0b00000010
#define _SYNC     0b00000000

// Port definition
//#define PORT PORTC
#define PORT PORTF

// Total PAL lines
//#define DISPLAY_LINES 625   // Interlaced
//#define DISPLAY_LINES 312   // progressive

// Arduino pins
//#define H_PIN   A0 //36
//#define V_PIN   A1 //37

#define SYNC_PIN  11

#define R1_PIN   A7 //30
#define R0_PIN   A6 //31
#define G1_PIN   A5 //32
#define G0_PIN   A4 //33
#define B1_PIN   A3 //34
#define B0_PIN   A2 //35

// FrameBuffer
#define BUFFER_W  208
#define BUFFER_H  144
#define TILE_SIZE   8
#define DISPLAY_LINES BUFFER_H * 2

#endif
